[前][次][番号順一覧][スレッド一覧]

ruby-changes:29228

From: nobu <ko1@a...>
Date: Thu, 13 Jun 2013 21:30:36 +0900 (JST)
Subject: [ruby-changes:29228] nobu:r41280 (trunk): no alternate value expansion

nobu	2013-06-13 21:30:24 +0900 (Thu, 13 Jun 2013)

  New Revision: 41280

  http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=41280

  Log:
    no alternate value expansion
    
    * configure.in (opt-dir), tool/ifchange: get rid of "alternate value"
      expansion for legacy sh.  [ruby-dev:47420] [Bug #8524]

  Modified files:
    trunk/ChangeLog
    trunk/configure.in
    trunk/tool/ifchange

Index: configure.in
===================================================================
--- configure.in	(revision 41279)
+++ configure.in	(revision 41280)
@@ -2625,8 +2625,10 @@ AC_ARG_WITH(opt-dir, https://github.com/ruby/ruby/blob/trunk/configure.in#L2625
 			sed "s/^x *//;s${IFS}"'%1\\$-s'"${IFS}${dir}/lib${IFS}g;s${IFS}%s${IFS}${dir}/lib${IFS}g"
 		    done | tr '\012' ' '`
 		LDFLAGS_OPTDIR="$val"
-		LDFLAGS="$LDFLAGS${LDFLAGS:+ }$val"
-		DLDFLAGS="$DLDFLAGS${DLDFLAGS:+ }$val"
+		test x"${LDFLAGS}" = x || LDFLAGS="$LDFLAGS "
+		LDFLAGS="$LDFLAGS$val"
+		test x"${DLDFLAGS}" = x || DLDFLAGS="$DLDFLAGS "
+		DLDFLAGS="$DLDFLAGS$val"
 	])
 
 AS_CASE(["$target_cpu-$target_os"],
Index: ChangeLog
===================================================================
--- ChangeLog	(revision 41279)
+++ ChangeLog	(revision 41280)
@@ -1,3 +1,8 @@ https://github.com/ruby/ruby/blob/trunk/ChangeLog#L1
+Thu Jun 13 21:30:14 2013  Nobuyoshi Nakada  <nobu@r...>
+
+	* configure.in (opt-dir), tool/ifchange: get rid of "alternate value"
+	  expansion for legacy sh.  [ruby-dev:47420] [Bug #8524]
+
 Thu Jun 13 21:24:09 2013  Tanaka Akira  <akr@f...>
 
 	* bignum.c (bigdivrem): Refactored to use ALLOCV_N for temporary
Index: tool/ifchange
===================================================================
--- tool/ifchange	(revision 41279)
+++ tool/ifchange	(revision 41280)
@@ -1,6 +1,7 @@ https://github.com/ruby/ruby/blob/trunk/tool/ifchange#L1
 #!/bin/sh
 # usage: ifchange target temporary
 
+set -e
 timestamp=
 keepsuffix=
 until [ "$0" = 0 ]; do
@@ -37,7 +38,7 @@ if cmp "$target" "$temp" >/dev/null 2>&1 https://github.com/ruby/ruby/blob/trunk/tool/ifchange#L38
     rm -f "$temp"
 else
     echo "$target updated"
-    ${keepsuffix:+ mv -f "$target" "${target}${keepsuffix}" }
+    [ x"${keepsuffix}" = x ] || mv -f "$target" "${target}${keepsuffix}"
     mv -f "$temp" "$target"
 fi
 

--
ML: ruby-changes@q...
Info: http://www.atdot.net/~ko1/quickml/

[前][次][番号順一覧][スレッド一覧]